This queue is for tickets about the Apache-Htpasswd CPAN distribution.

Report information
The Basics
Id:
18440
Status:
resolved
Priority:
Low/Low

People
Owner:
Nobody in particular
Requestors:
cpan [...] clotho.com
Cc:
AdminCc:

BugTracker
Severity:
Important
Broken in:
(no value)
Fixed in:
1.7



Subject: Need PREREQ_PM entry for Digest::SHA1
Tests fail if Digest::SHA1 is not installed: PERL_DL_NONLAZY=1 /usr/local/bin/perl "-Iblib/lib" "-Iblib/arch" test.pl Tests 1..20 begining ok 1 ok 2 ok 3 ok 4 ok 5 ok 6 ok 7 ok 8 ok 9 ok 10 ok 11 ok 12 ok 13 ok 14 ok 15 ok 16 ok 17 not ok 18 # SKIP Crypt::PasswdMD5 required for this test Can't locate Digest/SHA1.pm in @INC (...) at blib/lib/Apache/Htpasswd.pm line 87. Installing Digest::SHA1 manually fixes this. -- Chris
From: RaVenMasTeR
On Mi. 29. Mär. 2006, 17:17:33, CLOTHO wrote:
Show quoted text
> Tests fail if Digest::SHA1 is not installed: > > PERL_DL_NONLAZY=1 /usr/local/bin/perl "-Iblib/lib" "-Iblib/arch" test.pl > Tests 1..20 begining > ok 1 > ok 2 > ok 3 > ok 4 > ok 5 > ok 6 > ok 7 > ok 8 > ok 9 > ok 10 > ok 11 > ok 12 > ok 13 > ok 14 > ok 15 > ok 16 > ok 17 > not ok 18 # SKIP Crypt::PasswdMD5 required for this test > Can't locate Digest/SHA1.pm in @INC (...) at blib/lib/Apache/Htpasswd.pm > line 87. > > > Installing Digest::SHA1 manually fixes this. > -- Chris
You need also the Crypt::PasswdMD5 and the Digest::SHA1 installed!


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.